package com.ms.biz.service.impl;

import com.ms.dal.entity.LogisticsMatchRule;
import com.ms.biz.service.LogisticsMatchRuleService;
import com.ms.dal.mapper.LogisticsMatchRuleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class LogisticsMatchRuleServiceImpl implements LogisticsMatchRuleService {

    @Autowired
    private LogisticsMatchRuleMapper logisticsMatchRuleMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return logisticsMatchRuleMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(LogisticsMatchRule record) {
        return logisticsMatchRuleMapper.insert(record);
    }

    @Override
    public int insertSelective(LogisticsMatchRule record) {
        return logisticsMatchRuleMapper.insertSelective(record);
    }

    @Override
    public LogisticsMatchRule selectByPrimaryKey(Long id) {
        return logisticsMatchRuleMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(LogisticsMatchRule record) {
        return logisticsMatchRuleMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(LogisticsMatchRule record) {
        return logisticsMatchRuleMapper.updateByPrimaryKey(record);
    }

}




